org.apache.http.cookie

## Interface CookieSpecFactory

- All Known Implementing Classes:
    BestMatchSpecFactory, BrowserCompatSpecFactory, IgnoreSpecFactory, NetscapeDraftSpecFactory, RFC2109SpecFactory, RFC2965SpecFactory

  Deprecated.
  (4.3) use `CookieSpecProvider`

      @Deprecated
      public interface CookieSpecFactory

  Factory for `CookieSpec` implementations.
  Since:
    4.0

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `CookieSpec` | `newInstance(org.apache.http.params.HttpParams params)` Deprecated. Creates an instance of `CookieSpec` using given HTTP parameters.

- - ### Method Detail

    - #### newInstance

          CookieSpec newInstance(org.apache.http.params.HttpParams params)

      Deprecated.
      Creates an instance of `CookieSpec` using given HTTP parameters.
      Parameters:
        `params` - HTTP parameters.
      Returns:
        cookie spec.

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.